<!DOCTYPE html>
<html>
<head>
   <title>Patern 23</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 10;
      var c = (jmlBaris/2);
      var tempJmlBaris = 0;
      var frontSpace = c;
      // var outupu;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i < c) {
            for (let j = 0; j < frontSpace; j++) {
               output = output + '&nbsp;&nbsp;';
            }
            for (let j = 0; j <= tempJmlBaris; j++) {
               if (j == 0) {
                  output = output + '*';
               } else if (j == tempJmlBaris) {
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
               }
            }
            tempJmlBaris++;
            frontSpace--;
         } else {
            for (let j = 0; j < frontSpace; j++) {
               output = output + '&nbsp;&nbsp;';
            }
            if (i == 0) {
               for (let j = 0; j < tempJmlBaris+1; j++) {
                  output = output + '*';
               }
            } else {
               for (let j = tempJmlBaris; j >= 0; j--) {
                  if (j == 0) {
                     output = output + '*';
                  } else if (j == tempJmlBaris) {
                     output = output + '*';
                  } else if (j < tempJmlBaris && j > 0) {
                     output = output + '&nbsp;&nbsp;';
                  }
               }
            }
            tempJmlBaris--;
            frontSpace++;
         }
         
         
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>